diff --git a/CMakeLists.txt b/CMakeLists.txt
index 07928e3..08881ee 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -58,23 +58,6 @@ endif()
 # used for check_c_compiler_flag
 include(CheckCCompilerFlag)
 
-if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
-  # CMake tries to treat /sw and /opt/local as extension of the system path, but
-  # that doesn't really work out very well.  Once you have a dependency that
-  # resides there and have to add it as an include directory, then any other
-  # dependency that could be satisfied from there must be--otherwise you can end
-  # up with conflicting versions.  So, let's make them more of a priority having
-  # them be included as one of the first places to look for dependencies.
-  list(APPEND CMAKE_PREFIX_PATH /sw /opt/local)
-
-  # Work around some old, broken detection by CMake for knowing when to use the
-  # isystem flag.  Apple's compilers have supported this for quite some time
-  # now.
-  if(CMAKE_COMPILER_IS_GNUCC)
-    set(CMAKE_INCLUDE_SYSTEM_FLAG_C "-isystem ")
-  endif()
-endif()
-
 if(WIN32 OR CMAKE_SYSTEM_NAME STREQUAL "Darwin")
   # Enable fixing case-insensitive filenames for Windows and Mac.
   set(USE_FNAME_CASE TRUE)
diff --git a/src/nvim/CMakeLists.txt b/src/nvim/CMakeLists.txt
index aa81008..0570dc7 100644
--- a/src/nvim/CMakeLists.txt
+++ b/src/nvim/CMakeLists.txt
@@ -192,10 +192,6 @@ get_directory_property(gen_includes INCLUDE_DIRECTORIES)
 foreach(gen_include ${gen_includes} ${LUA_PREFERRED_INCLUDE_DIRS})
   list(APPEND gen_cflags "-I${gen_include}")
 endforeach()
-if(CMAKE_SYSTEM_NAME STREQUAL "Darwin" AND CMAKE_OSX_SYSROOT)
-  list(APPEND gen_cflags "-isysroot")
-  list(APPEND gen_cflags "${CMAKE_OSX_SYSROOT}")
-endif()
 string(TOUPPER "${CMAKE_BUILD_TYPE}" build_type)
 separate_arguments(C_FLAGS_ARRAY UNIX_COMMAND ${CMAKE_C_FLAGS})
 separate_arguments(C_FLAGS_${build_type}_ARRAY UNIX_COMMAND ${CMAKE_C_FLAGS_${build_type}})
diff --git a/third-party/CMakeLists.txt b/third-party/CMakeLists.txt
index edd5882..e503434 100644
--- a/third-party/CMakeLists.txt
+++ b/third-party/CMakeLists.txt
@@ -105,13 +105,6 @@ if(CMAKE_CXX_COMPILER)
   set(DEPS_CXX_COMPILER "${CMAKE_CXX_COMPILER}")
 endif()
 
-if(CMAKE_OSX_SYSROOT)
-  set(DEPS_C_COMPILER "${DEPS_C_COMPILER} -isysroot${CMAKE_OSX_SYSROOT}")
-  if(DEPS_CXX_COMPILER)
-    set(DEPS_CXX_COMPILER "${DEPS_CXX_COMPILER} -isysroot${CMAKE_OSX_SYSROOT}")
-  endif()
-endif()
-
 # Cross compiling: use these for dependencies built for the
 # HOST system, when not crosscompiling these should be the
 # same as DEPS_*. Except when targeting Unix in which case